"""
Solicitor: uses metadata.json to determine delivery locations
"""
import json


class Solicitor:
    def __init__(self, filename: str):
        self.filename = filename

    def solicit_delivery_location(self):
        with open(self.filename) as file:
            metadata = json.loads(file.read())
            return metadata["destinationDirectory"]
